Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator.member
Class TreeModelAdapter

    java.lang.Object
      com.tonbeller.wcf.tree.AbstractTreeModel
          com.tonbeller.jpivot.navigator.member.TreeModelAdapter

All Implemented Interfaces:
  com.tonbeller.wcf.tree.TreeModel

    public class TreeModelAdapter

extends com.tonbeller.wcf.tree.AbstractTreeModel
implements com.tonbeller.wcf.tree.TreeModel

maps the MemberTree table extension to a wcf tree model

Author:
  av

Field Summary

Fields inherited from interface com.tonbeller.wcf.tree.TreeModel
`EMPTY_MODEL`

Constructor Summary
`TreeModelAdapter(Hierarchy[] hiers, MemberTree tree, java.util.Locale locale)` Constructor for TreeModelAdapter.
`TreeModelAdapter(Hierarchy hier, MemberTree tree, java.util.Locale locale)` Constructor for TreeModelAdapter.

Method Summary
`void` | `fireModelChanged()`
`java.lang.Object[]` | `getChildren(java.lang.Object node)`
`Level` | `getNoChildrenLevel()` members from this level will pretend to have no children
`com.tonbeller.jpivot.navigator.member.TreeModelAdapter.OverflowListener` | `getOverflowListener()`
`java.lang.Object` | `getParent(java.lang.Object node)`
`java.lang.Object[]` | `getRoots()` if one hierarchy return its root members. if multiple, return the hierarchies
`boolean` | `hasChildren(java.lang.Object node)`
`boolean` | `isShowSingleHierarchyNode()`
`void` | `modelChanged()`
`void` | `setNoChildrenLevel(Level level)` members from this level will pretend to have no children
`void` | `setOverflowListener(com.tonbeller.jpivot.navigator.member.TreeModelAdapter.OverflowListener overflowListener)`
`void` | `setShowSingleHierarchyNode(boolean showSingleHierarchyNode)`

Methods inherited from class com.tonbeller.wcf.tree.AbstractTreeModel
`addTreeModelChangeListener, fireModelChanged, fireModelChanged, removeTreeModelChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.tree.TreeModel
`addTreeModelChangeListener, fireModelChanged, removeTreeModelChangeListener`

Constructor Detail

### TreeModelAdapter

    public TreeModelAdapter(Hierarchy hier,
                            MemberTree tree,
                            java.util.Locale locale)

  Constructor for TreeModelAdapter. Root nodes are the root nodes of the hierarchy.

### TreeModelAdapter

    public TreeModelAdapter(Hierarchy[] hiers,
                            MemberTree tree,
                            java.util.Locale locale)

  Constructor for TreeModelAdapter. Root nodes are the hierarchies.

Method Detail

### getRoots

    public java.lang.Object[] getRoots()

  if one hierarchy return its root members. if multiple, return the hierarchies

  Specified by:
    `getRoots` in interface `com.tonbeller.wcf.tree.TreeModel`

### hasChildren

    public boolean hasChildren(java.lang.Object node)

  Specified by:
    `hasChildren` in interface `com.tonbeller.wcf.tree.TreeModel`

### getChildren

    public java.lang.Object[] getChildren(java.lang.Object node)

  Specified by:
    `getChildren` in interface `com.tonbeller.wcf.tree.TreeModel`

### getParent

    public java.lang.Object getParent(java.lang.Object node)

  Specified by:
    `getParent` in interface `com.tonbeller.wcf.tree.TreeModel`
  See Also:
    `TreeModel.getParent(Object)`

### fireModelChanged

    public void fireModelChanged()

  Overrides:
    `fireModelChanged` in class `com.tonbeller.wcf.tree.AbstractTreeModel`

### getNoChildrenLevel

    public Level getNoChildrenLevel()

  members from this level will pretend to have no children

### setNoChildrenLevel

    public void setNoChildrenLevel(Level level)

  members from this level will pretend to have no children

### modelChanged

    public void modelChanged()

### getOverflowListener

    public com.tonbeller.jpivot.navigator.member.TreeModelAdapter.OverflowListener getOverflowListener()

### setOverflowListener

    public void setOverflowListener(com.tonbeller.jpivot.navigator.member.TreeModelAdapter.OverflowListener overflowListener)

### isShowSingleHierarchyNode

    public boolean isShowSingleHierarchyNode()

### setShowSingleHierarchyNode

    public void setShowSingleHierarchyNode(boolean showSingleHierarchyNode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD